/* --- Global Variables --- */
:root {
    /* --- Colours --- */
    --mainColour: #99092f;
    --darkGrey: #595959;
    --lightGrey: #E8E6E6;
    --normalBlue: #0057E1;

    /* --- Device Measurements --- */
    --maxWidthTvs: 1024px;
    --maxWidthLaptop: 1400px;
    --maxWidthTablet: 768px;
    --maxWidthMobile: 480px;
    --screenSize: 1400px;

    /* --- Font Families --- */
    --titles: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    --paragraphs: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

/* --- Global Settings ---  */

/* div {
    border: 1px solid black;
} */


section {
    padding-bottom: 30px;
}


h1 {
    color: #99092f;
    font-size: 40px;
    font-family: var(--titles);
}

hr {
    /* width: 90%;
margin: auto;
border-color: var(--mainColour);
height: 1px; */

    display: block;
    height: 1px;
    width: 90%;
    border: 0;
    border-top: 1px solid var(--mainColour);
    margin: 1em 5%;
    padding: 0;
}

p {
    color: var(--darkGrey);
    padding: 0px 30px;
    font-size: 14px;
    font-family: var(--paragraphs);
}

button {
    width: 142px;
    height: 40px;
    border-radius: 0px;
    border: 0px;
    font-family: var(--titles);
    font-weight: bold;
    background-color: var(--mainColour);
    color: white;
    font-size: 16px;
}


/* --- General Sets --- */
* {
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
}

/* ----------------------- */

/* --- Menu --- */
.nav-bar {
    display: flex;
    justify-content: space-around;
    align-items: center;

    padding: 10px;
    height: 143px;
}

.logo {
    display: flex;

}

.menu-div {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    max-width: var(--screenSize);
}

.nav-list {
    list-style: none;
}

.nav-list .list-items {
    display: inline-block;
    margin: auto;

}

.nav-list a {
    text-decoration: none;
    color: var(--darkGrey);
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    padding: 0px 10px;
    font-weight: 500;


}

.nav-bar a:hover {
    color: var(--mainColour);
    /* font-weight: bolder;     */
}


.company-logo {
    height: 100%;

}



/* Menu hamburguer style */

.menu-hamburguer {
    display: none;
    margin-left: 10px;
    z-index: 2;
}

.menu-line {
    width: 20px;
    height: 3px;
    background-color: var(--mainColour);
    margin-top: 4px;
}

.menu-upperline {
    width: 90%;
    height: 1px;
    background-color: var(--mainColour);
    margin-top: 4px;
}




/* --------------- */
/* --- Contact Form --- */
/* --------------- */

.contact-text-container,
.contact-container {
    margin: auto;
    max-width: 1000px;
    padding: 50px 0;
    text-align: left;
    line-height: 2;
    text-indent: 0px;
}


.contacts-info {
    display: flex;
}

.contacts-phone,
.contacts-email {
    width: 50%;
    text-align: left;
}

.contact-form-bg {
    background-color: var(--lightGrey);
    padding: 40px;
    width: 97%;
    margin: auto;
}

.contact-container span {
    color: var(--darkGrey);
    font-size: 14px;
    font-family: var(--paragraphs);
}

.contact-names {
    display: flex;
    align-items: center;
    justify-content: center;
}


.contact-p-text {
    display: block;
    width: 50%;
}

.form-data {
    display: flex;
    flex-direction: column;
    padding: 10px;
    align-items: ce;
}

.form-button {
    display: block;
    margin: auto;
}

.contact-p-text {
    font-family: var(--paragraphs);
}

.form-data {
    width: 33.4%;
}

.form-message {
    width: 100%;
}

.form-data-text {
    height: 40px;
}

.contact-container input,
textarea {
    font-family: var(--paragraphs);
    line-height: 1.5;
    border: 1px solid var(--darkGrey);
    padding: 5px 10px;
}


/* ----------------------------
----------- Footer -----------
----------------------------  */


.footer {
    background-color: var(--mainColour);
    display: flex;
    flex-wrap: wrap;
    padding: 10px 0px;
}

.footer-title {
    background-color: var(--mainColour);
    padding: 10px;
    width: 100%;
    flex-grow: 1;
    align-items: center;
}

.footer-title>h1 {
    text-align: center;
    color: white;
}

.contacts {
    width: 50%;
    background-color: var(--mainColour);
    padding: 10px;
    text-align: right;
    color: white;
    font-family: var(--paragraphs);
    line-height: 2;
}

.contact-title {
    font-weight: bold;
}

.social-medias {
    width: 50%;
    background-color: var(--mainColour);
    padding: 10px;
    text-align: left;
    color: white;
    font-family: var(--paragraphs);
    line-height: 2;
    font-weight: bold;
    font-size: 20px;
}


/* ----------------------------------------- */
/* --- Media Query --- */
/* ----------------------------------------- */

/* --- Tablets --- */
@media all and (max-width:820px) {
    .menu-div {
        flex-direction: column;
    }

    .nav-list .list-items {
        display: block;
        padding: 10px;
    }

    .nav-list {
        width: 100%;
        background-color: white;
        text-align: center;
        margin: auto;
        display: none;
        z-index: 1;
    }

    .menu-hamburguer {
        display: block;
        position: absolute;
        top: 15px;
        right: 10px;
    }

    .menu-hamburguer:hover {
        cursor: pointer;
    }


    .logo {
        height: 60px;
    }

    .active {
        display: block;

    }

    .nav-bar {
        height: 60px;
        margin-bottom: 10px;
    }


    .contact-text-container {
        width: 90%;
        text-align: center;
        padding: 10px;
    }

    .contact-p-text {        
        margin: auto;
    }

    .contact-container {
        padding: 0px;
    }

    .contact-form-bg * {
        text-align: center;
    }
}

/* --- Mobile --- */
@media all and (max-width: 480px) {
    /* --- Menu --- */
    .menu-div {
        flex-direction: column;
    }

    .nav-list .list-items {
        display: block;
        padding: 10px;
    }

    .nav-list {
        width: 100%;
        background-color: white;
        text-align: center;
        margin: auto;
        display: none;
        z-index: 1;
    }

    .menu-hamburguer {
        display: block;
        position: absolute;
        top: 15px;
        right: 10px;
    }

    .menu-hamburguer:hover {
        cursor: pointer;
    }


    .logo {
        height: 60px;
    }

    .active {
        display: block;

    }

    .nav-bar {
        height: 60px;
        margin-bottom: 10px;
    }

    /* --- Elements --- */
    .contact-text-container {
        width: 90%;
        text-align: center;
        padding: 10px;
    }

    .contact-p-text {        
        margin: auto;
    }

    .contact-container {
        padding: 0px;
    }

    .contact-form-bg * {
        text-align: center;
    }

    .contact-names{
        flex-direction: column;
    }

    .form-data{
        width: 100%;
    }   
}